<?php
if (session_id() == "") session_start(); // Initialize Session data
ob_start(); // Turn on output buffering
?>
<?php include_once "ewcfg12.php" ?>
<?php include_once ((EW_USE_ADODB) ? "adodb5/adodb.inc.php" : "ewmysql12.php") ?>
<?php include_once "phpfn12.php" ?>
<?php include_once "seguimiento_bebeinfo.php" ?>
<?php include_once "ficha_usuarioinfo.php" ?>
<?php include_once "userfn12.php" ?>
<?php

//
// Page class
//

$seguimiento_bebe_delete = NULL; // Initialize page object first

class cseguimiento_bebe_delete extends cseguimiento_bebe {

	// Page ID
	var $PageID = 'delete';

	// Project ID
	var $ProjectID = "{43FC4B6C-8131-46B1-916C-14DB52B1691D}";

	// Table name
	var $TableName = 'seguimiento_bebe';

	// Page object name
	var $PageObjName = 'seguimiento_bebe_delete';

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		if ($this->UseTokenInUrl) $PageUrl .= "t=" . $this->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_MESSAGE], $v);
	}

	function getFailureMessage() {
		return @$_SESSION[EW_SESSION_FAILURE_MESSAGE];
	}

	function setFailureMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_FAILURE_MESSAGE], $v);
	}

	function getSuccessMessage() {
		return @$_SESSION[EW_SESSION_SUCCESS_MESSAGE];
	}

	function setSuccessMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_SUCCESS_MESSAGE], $v);
	}

	function getWarningMessage() {
		return @$_SESSION[EW_SESSION_WARNING_MESSAGE];
	}

	function setWarningMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_WARNING_MESSAGE], $v);
	}

	// Methods to clear message
	function ClearMessage() {
		$_SESSION[EW_SESSION_MESSAGE] = "";
	}

	function ClearFailureMessage() {
		$_SESSION[EW_SESSION_FAILURE_MESSAGE] = "";
	}

	function ClearSuccessMessage() {
		$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = "";
	}

	function ClearWarningMessage() {
		$_SESSION[EW_SESSION_WARNING_MESSAGE] = "";
	}

	function ClearMessages() {
		$_SESSION[EW_SESSION_MESSAGE] = "";
		$_SESSION[EW_SESSION_FAILURE_MESSAGE] = "";
		$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = "";
		$_SESSION[EW_SESSION_WARNING_MESSAGE] = "";
	}

	// Show message
	function ShowMessage() {
		$hidden = FALSE;
		$html = "";

		// Message
		$sMessage = $this->getMessage();
		$this->Message_Showing($sMessage, "");
		if ($sMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sMessage;
			$html .= "<div class=\"alert alert-info ewInfo\">" . $sMessage . "</div>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}

		// Warning message
		$sWarningMessage = $this->getWarningMessage();
		$this->Message_Showing($sWarningMessage, "warning");
		if ($sWarningMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sWarningMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sWarningMessage;
			$html .= "<div class=\"alert alert-warning ewWarning\">" . $sWarningMessage . "</div>";
			$_SESSION[EW_SESSION_WARNING_MESSAGE] = ""; // Clear message in Session
		}

		// Success message
		$sSuccessMessage = $this->getSuccessMessage();
		$this->Message_Showing($sSuccessMessage, "success");
		if ($sSuccessMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sSuccessMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sSuccessMessage;
			$html .= "<div class=\"alert alert-success ewSuccess\">" . $sSuccessMessage . "</div>";
			$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = ""; // Clear message in Session
		}

		// Failure message
		$sErrorMessage = $this->getFailureMessage();
		$this->Message_Showing($sErrorMessage, "failure");
		if ($sErrorMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sErrorMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sErrorMessage;
			$html .= "<div class=\"alert alert-danger ewError\">" . $sErrorMessage . "</div>";
			$_SESSION[EW_SESSION_FAILURE_MESSAGE] = ""; // Clear message in Session
		}
		echo "<div class=\"ewMessageDialog\"" . (($hidden) ? " style=\"display: none;\"" : "") . ">" . $html . "</div>";
	}
	var $PageHeader;
	var $PageFooter;

	// Show Page Header
	function ShowPageHeader() {
		$sHeader = $this->PageHeader;
		$this->Page_DataRendering($sHeader);
		if ($sHeader <> "") { // Header exists, display
			echo "<p>" . $sHeader . "</p>";
		}
	}

	// Show Page Footer
	function ShowPageFooter() {
		$sFooter = $this->PageFooter;
		$this->Page_DataRendered($sFooter);
		if ($sFooter <> "") { // Footer exists, display
			echo "<p>" . $sFooter . "</p>";
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm;
		if ($this->UseTokenInUrl) {
			if ($objForm)
				return ($this->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($this->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}
	var $Token = "";
	var $TokenTimeout = 0;
	var $CheckToken = EW_CHECK_TOKEN;
	var $CheckTokenFn = "ew_CheckToken";
	var $CreateTokenFn = "ew_CreateToken";

	// Valid Post
	function ValidPost() {
		if (!$this->CheckToken || !ew_IsHttpPost())
			return TRUE;
		if (!isset($_POST[EW_TOKEN_NAME]))
			return FALSE;
		$fn = $this->CheckTokenFn;
		if (is_callable($fn))
			return $fn($_POST[EW_TOKEN_NAME], $this->TokenTimeout);
		return FALSE;
	}

	// Create Token
	function CreateToken() {
		global $gsToken;
		if ($this->CheckToken) {
			$fn = $this->CreateTokenFn;
			if ($this->Token == "" && is_callable($fn)) // Create token
				$this->Token = $fn();
			$gsToken = $this->Token; // Save to global variable
		}
	}

	//
	// Page class constructor
	//
	function __construct() {
		global $conn, $Language;
		global $UserTable, $UserTableConn;
		$GLOBALS["Page"] = &$this;
		$this->TokenTimeout = ew_SessionTimeoutTime();

		// Language object
		if (!isset($Language)) $Language = new cLanguage();

		// Parent constuctor
		parent::__construct();

		// Table object (seguimiento_bebe)
		if (!isset($GLOBALS["seguimiento_bebe"]) || get_class($GLOBALS["seguimiento_bebe"]) == "cseguimiento_bebe") {
			$GLOBALS["seguimiento_bebe"] = &$this;
			$GLOBALS["Table"] = &$GLOBALS["seguimiento_bebe"];
		}

		// Table object (ficha_usuario)
		if (!isset($GLOBALS['ficha_usuario'])) $GLOBALS['ficha_usuario'] = new cficha_usuario();

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'delete', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'seguimiento_bebe', TRUE);

		// Start timer
		if (!isset($GLOBALS["gTimer"])) $GLOBALS["gTimer"] = new cTimer();

		// Open connection
		if (!isset($conn)) $conn = ew_Connect($this->DBID);

		// User table object (ficha_usuario)
		if (!isset($UserTable)) {
			$UserTable = new cficha_usuario();
			$UserTableConn = Conn($UserTable->DBID);
		}
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsCustomExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;

		// Security
		$Security = new cAdvancedSecurity();
		if (!$Security->IsLoggedIn()) $Security->AutoLogin();
		if ($Security->IsLoggedIn()) $Security->TablePermission_Loading();
		$Security->LoadCurrentUserLevel($this->ProjectID . $this->TableName);
		if ($Security->IsLoggedIn()) $Security->TablePermission_Loaded();
		if (!$Security->CanDelete()) {
			$Security->SaveLastUrl();
			$this->setFailureMessage(ew_DeniedMsg()); // Set no permission
			if ($Security->CanList())
				$this->Page_Terminate(ew_GetUrl("seguimiento_bebelist.php"));
			else
				$this->Page_Terminate(ew_GetUrl("login.php"));
		}
		if ($Security->IsLoggedIn()) {
			$Security->UserID_Loading();
			$Security->LoadUserID();
			$Security->UserID_Loaded();
		}
		$this->CurrentAction = (@$_GET["a"] <> "") ? $_GET["a"] : @$_POST["a_list"]; // Set up current action

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();

		// Check token
		if (!$this->ValidPost()) {
			echo $Language->Phrase("InvalidPostRequest");
			$this->Page_Terminate();
			exit();
		}

		// Create Token
		$this->CreateToken();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $gsExportFile, $gTmpImages;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();

		// Export
		global $EW_EXPORT, $seguimiento_bebe;
		if ($this->CustomExport <> "" && $this->CustomExport == $this->Export && array_key_exists($this->CustomExport, $EW_EXPORT)) {
				$sContent = ob_get_contents();
			if ($gsExportFile == "") $gsExportFile = $this->TableVar;
			$class = $EW_EXPORT[$this->CustomExport];
			if (class_exists($class)) {
				$doc = new $class($seguimiento_bebe);
				$doc->Text = $sContent;
				if ($this->Export == "email")
					echo $this->ExportEmail($doc->Text);
				else
					$doc->Export();
				ew_DeleteTmpImages(); // Delete temp images
				exit();
			}
		}
		$this->Page_Redirecting($url);

		 // Close connection
		ew_CloseConn();

		// Go to URL if specified
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			header("Location: " . $url);
		}
		exit();
	}
	var $DbMasterFilter = "";
	var $DbDetailFilter = "";
	var $StartRec;
	var $TotalRecs = 0;
	var $RecCnt;
	var $RecKeys = array();
	var $Recordset;
	var $StartRowCnt = 1;
	var $RowCnt = 0;

	//
	// Page main
	//
	function Page_Main() {
		global $Language;

		// Set up Breadcrumb
		$this->SetupBreadcrumb();

		// Load key parameters
		$this->RecKeys = $this->GetRecordKeys(); // Load record keys
		$sFilter = $this->GetKeyFilter();
		if ($sFilter == "")
			$this->Page_Terminate("seguimiento_bebelist.php"); // Prevent SQL injection, return to list

		// Set up filter (SQL WHHERE clause) and get return SQL
		// SQL constructor in seguimiento_bebe class, seguimiento_bebeinfo.php

		$this->CurrentFilter = $sFilter;

		// Get action
		if (@$_POST["a_delete"] <> "") {
			$this->CurrentAction = $_POST["a_delete"];
		} else {
			$this->CurrentAction = "D"; // Delete record directly
		}
		if ($this->CurrentAction == "D") {
			$this->SendEmail = TRUE; // Send email on delete success
			if ($this->DeleteRows()) { // Delete rows
				if ($this->getSuccessMessage() == "")
					$this->setSuccessMessage($Language->Phrase("DeleteSuccess")); // Set up success message
				$this->Page_Terminate($this->getReturnUrl()); // Return to caller
			} else { // Delete failed
				$this->Page_Terminate($this->getReturnUrl()); // Return to caller
			}
		}
		if ($this->CurrentAction == "I") { // Load records for display
			if ($this->Recordset = $this->LoadRecordset())
				$this->TotalRecs = $this->Recordset->RecordCount(); // Get record count
			if ($this->TotalRecs <= 0) { // No record found, exit
				if ($this->Recordset)
					$this->Recordset->Close();
				$this->Page_Terminate("seguimiento_bebelist.php"); // Return to list
			}
		}
	}

	// Load recordset
	function LoadRecordset($offset = -1, $rowcnt = -1) {

		// Load List page SQL
		$sSql = $this->SelectSQL();
		$conn = &$this->Connection();

		// Load recordset
		$dbtype = ew_GetConnectionType($this->DBID);
		if ($this->UseSelectLimit) {
			$conn->raiseErrorFn = $GLOBALS["EW_ERROR_FN"];
			if ($dbtype == "MSSQL") {
				$rs = $conn->SelectLimit($sSql, $rowcnt, $offset, array("_hasOrderBy" => trim($this->getOrderBy()) || trim($this->getSessionOrderBy())));
			} else {
				$rs = $conn->SelectLimit($sSql, $rowcnt, $offset);
			}
			$conn->raiseErrorFn = '';
		} else {
			$rs = ew_LoadRecordset($sSql, $conn);
		}

		// Call Recordset Selected event
		$this->Recordset_Selected($rs);
		return $rs;
	}

	// Load row based on key values
	function LoadRow() {
		global $Security, $Language;
		$sFilter = $this->KeyFilter();

		// Call Row Selecting event
		$this->Row_Selecting($sFilter);

		// Load SQL based on filter
		$this->CurrentFilter = $sFilter;
		$sSql = $this->SQL();
		$conn = &$this->Connection();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql, $conn);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		if (!$rs || $rs->EOF) return;

		// Call Row Selected event
		$row = &$rs->fields;
		$this->Row_Selected($row);
		$this->id->setDbValue($rs->fields('id'));
		$this->Id_Registro_Madre->setDbValue($rs->fields('Id_Registro_Madre'));
		$this->Primer_Nombre->setDbValue($rs->fields('Primer_Nombre'));
		$this->Segundo_Nombre->setDbValue($rs->fields('Segundo_Nombre'));
		$this->Primer_Apellido->setDbValue($rs->fields('Primer_Apellido'));
		$this->Segundo_Apellido->setDbValue($rs->fields('Segundo_Apellido'));
		$this->Registro_Civil->setDbValue($rs->fields('Registro_Civil'));
		$this->Sexo->setDbValue($rs->fields('Sexo'));
		$this->Fecha_Nacimiento->setDbValue($rs->fields('Fecha_Nacimiento'));
		$this->Peso_Gramos->setDbValue($rs->fields('Peso_Gramos'));
		$this->Recibio_Tratamiento_Profilactico->setDbValue($rs->fields('Recibio_Tratamiento_Profilactico'));
		$this->Esquema_Tratamiento->setDbValue($rs->fields('Esquema_Tratamiento'));
		$this->Otro->setDbValue($rs->fields('Otro'));
		$this->Tipo_Tratamiento_Bebe->setDbValue($rs->fields('Tipo_Tratamiento_Bebe'));
		$this->No_Primera_Carga_Viral->setDbValue($rs->fields('No_Primera_Carga_Viral'));
		$this->Fecha_Primera_Cviral->setDbValue($rs->fields('Fecha_Primera_Cviral'));
		$this->Edad_Primer_Cviral_Dias->setDbValue($rs->fields('Edad_Primer_Cviral_Dias'));
		$this->Segunda_Carga_Viral->setDbValue($rs->fields('Segunda_Carga_Viral'));
		$this->No_Segunda_Carga_Viral_Bebe->setDbValue($rs->fields('No_Segunda_Carga_Viral_Bebe'));
		$this->Fecha_Segunda_Carga_Viral->setDbValue($rs->fields('Fecha_Segunda_Carga_Viral'));
		$this->Edad_Segunda_Carga_Viral_Dias->setDbValue($rs->fields('Edad_Segunda_Carga_Viral_Dias'));
		$this->Resultado_Tamizaje_M18->setDbValue($rs->fields('Resultado_Tamizaje_M18'));
		$this->Fecha_Tamizaje->setDbValue($rs->fields('Fecha_Tamizaje'));
		$this->Ultima_Cargaviral->setDbValue($rs->fields('Ultima_Cargaviral'));
		$this->Fecha_Ultima_Carga_viral->setDbValue($rs->fields('Fecha_Ultima_Carga_viral'));
		$this->Formula_Lactea->setDbValue($rs->fields('Formula_Lactea'));
		$this->Edad_Dias_Bebe->setDbValue($rs->fields('Edad_Dias_Bebe'));
		$this->Clasificacion_Final_bebe->setDbValue($rs->fields('Clasificacion_Final_bebe'));
		$this->Observaciones->setDbValue($rs->fields('Observaciones'));
		$this->Registrado_Por->setDbValue($rs->fields('Registrado_Por'));
	}

	// Load DbValue from recordset
	function LoadDbValues(&$rs) {
		if (!$rs || !is_array($rs) && $rs->EOF) return;
		$row = is_array($rs) ? $rs : $rs->fields;
		$this->id->DbValue = $row['id'];
		$this->Id_Registro_Madre->DbValue = $row['Id_Registro_Madre'];
		$this->Primer_Nombre->DbValue = $row['Primer_Nombre'];
		$this->Segundo_Nombre->DbValue = $row['Segundo_Nombre'];
		$this->Primer_Apellido->DbValue = $row['Primer_Apellido'];
		$this->Segundo_Apellido->DbValue = $row['Segundo_Apellido'];
		$this->Registro_Civil->DbValue = $row['Registro_Civil'];
		$this->Sexo->DbValue = $row['Sexo'];
		$this->Fecha_Nacimiento->DbValue = $row['Fecha_Nacimiento'];
		$this->Peso_Gramos->DbValue = $row['Peso_Gramos'];
		$this->Recibio_Tratamiento_Profilactico->DbValue = $row['Recibio_Tratamiento_Profilactico'];
		$this->Esquema_Tratamiento->DbValue = $row['Esquema_Tratamiento'];
		$this->Otro->DbValue = $row['Otro'];
		$this->Tipo_Tratamiento_Bebe->DbValue = $row['Tipo_Tratamiento_Bebe'];
		$this->No_Primera_Carga_Viral->DbValue = $row['No_Primera_Carga_Viral'];
		$this->Fecha_Primera_Cviral->DbValue = $row['Fecha_Primera_Cviral'];
		$this->Edad_Primer_Cviral_Dias->DbValue = $row['Edad_Primer_Cviral_Dias'];
		$this->Segunda_Carga_Viral->DbValue = $row['Segunda_Carga_Viral'];
		$this->No_Segunda_Carga_Viral_Bebe->DbValue = $row['No_Segunda_Carga_Viral_Bebe'];
		$this->Fecha_Segunda_Carga_Viral->DbValue = $row['Fecha_Segunda_Carga_Viral'];
		$this->Edad_Segunda_Carga_Viral_Dias->DbValue = $row['Edad_Segunda_Carga_Viral_Dias'];
		$this->Resultado_Tamizaje_M18->DbValue = $row['Resultado_Tamizaje_M18'];
		$this->Fecha_Tamizaje->DbValue = $row['Fecha_Tamizaje'];
		$this->Ultima_Cargaviral->DbValue = $row['Ultima_Cargaviral'];
		$this->Fecha_Ultima_Carga_viral->DbValue = $row['Fecha_Ultima_Carga_viral'];
		$this->Formula_Lactea->DbValue = $row['Formula_Lactea'];
		$this->Edad_Dias_Bebe->DbValue = $row['Edad_Dias_Bebe'];
		$this->Clasificacion_Final_bebe->DbValue = $row['Clasificacion_Final_bebe'];
		$this->Observaciones->DbValue = $row['Observaciones'];
		$this->Registrado_Por->DbValue = $row['Registrado_Por'];
	}

	// Render row values based on field settings
	function RenderRow() {
		global $Security, $Language, $gsLanguage;

		// Initialize URLs
		// Call Row_Rendering event

		$this->Row_Rendering();

		// Common render codes for all row types
		// id
		// Id_Registro_Madre

		$this->Id_Registro_Madre->CellCssStyle = "white-space: nowrap;";

		// Primer_Nombre
		// Segundo_Nombre
		// Primer_Apellido
		// Segundo_Apellido
		// Registro_Civil
		// Sexo
		// Fecha_Nacimiento
		// Peso_Gramos
		// Recibio_Tratamiento_Profilactico
		// Esquema_Tratamiento
		// Otro
		// Tipo_Tratamiento_Bebe
		// No_Primera_Carga_Viral
		// Fecha_Primera_Cviral
		// Edad_Primer_Cviral_Dias
		// Segunda_Carga_Viral
		// No_Segunda_Carga_Viral_Bebe
		// Fecha_Segunda_Carga_Viral
		// Edad_Segunda_Carga_Viral_Dias
		// Resultado_Tamizaje_M18
		// Fecha_Tamizaje
		// Ultima_Cargaviral
		// Fecha_Ultima_Carga_viral
		// Formula_Lactea
		// Edad_Dias_Bebe
		// Clasificacion_Final_bebe
		// Observaciones
		// Registrado_Por

		if ($this->RowType == EW_ROWTYPE_VIEW) { // View row

		// id
		$this->id->ViewValue = $this->id->CurrentValue;
		$this->id->ViewCustomAttributes = "";

		// Primer_Nombre
		$this->Primer_Nombre->ViewValue = $this->Primer_Nombre->CurrentValue;
		$this->Primer_Nombre->ViewCustomAttributes = "";

		// Segundo_Nombre
		$this->Segundo_Nombre->ViewValue = $this->Segundo_Nombre->CurrentValue;
		$this->Segundo_Nombre->ViewCustomAttributes = "";

		// Primer_Apellido
		$this->Primer_Apellido->ViewValue = $this->Primer_Apellido->CurrentValue;
		$this->Primer_Apellido->ViewCustomAttributes = "";

		// Segundo_Apellido
		$this->Segundo_Apellido->ViewValue = $this->Segundo_Apellido->CurrentValue;
		$this->Segundo_Apellido->ViewCustomAttributes = "";

		// Registro_Civil
		$this->Registro_Civil->ViewValue = $this->Registro_Civil->CurrentValue;
		$this->Registro_Civil->ViewCustomAttributes = "";

		// Sexo
		if (strval($this->Sexo->CurrentValue) <> "") {
			$sFilterWrk = "`Consecutivo`" . ew_SearchString("=", $this->Sexo->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `Consecutivo`, `Sexo` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `sexo`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Sexo, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->Sexo->ViewValue = $this->Sexo->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->Sexo->ViewValue = $this->Sexo->CurrentValue;
			}
		} else {
			$this->Sexo->ViewValue = NULL;
		}
		$this->Sexo->ViewCustomAttributes = "";

		// Fecha_Nacimiento
		$this->Fecha_Nacimiento->ViewValue = $this->Fecha_Nacimiento->CurrentValue;
		$this->Fecha_Nacimiento->ViewValue = ew_FormatDateTime($this->Fecha_Nacimiento->ViewValue, 5);
		$this->Fecha_Nacimiento->ViewCustomAttributes = "";

		// Peso_Gramos
		$this->Peso_Gramos->ViewValue = $this->Peso_Gramos->CurrentValue;
		$this->Peso_Gramos->ViewCustomAttributes = "";

		// Recibio_Tratamiento_Profilactico
		if (strval($this->Recibio_Tratamiento_Profilactico->CurrentValue) <> "") {
			$sFilterWrk = "`Consecutivo`" . ew_SearchString("=", $this->Recibio_Tratamiento_Profilactico->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `Consecutivo`, `Si_No` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `si_no`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Recibio_Tratamiento_Profilactico, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->Recibio_Tratamiento_Profilactico->ViewValue = $this->Recibio_Tratamiento_Profilactico->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->Recibio_Tratamiento_Profilactico->ViewValue = $this->Recibio_Tratamiento_Profilactico->CurrentValue;
			}
		} else {
			$this->Recibio_Tratamiento_Profilactico->ViewValue = NULL;
		}
		$this->Recibio_Tratamiento_Profilactico->ViewCustomAttributes = "";

		// Esquema_Tratamiento
		if (strval($this->Esquema_Tratamiento->CurrentValue) <> "") {
			$arwrk = explode(",", $this->Esquema_Tratamiento->CurrentValue);
			$sFilterWrk = "";
			foreach ($arwrk as $wrk) {
				if ($sFilterWrk <> "") $sFilterWrk .= " OR ";
				$sFilterWrk .= "`id`" . ew_SearchString("=", trim($wrk), EW_DATATYPE_NUMBER, "");
			}
		$sSqlWrk = "SELECT `id`, `Esquema` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `esquema_bebe`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Esquema_Tratamiento, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$this->Esquema_Tratamiento->ViewValue = "";
				$ari = 0;
				while (!$rswrk->EOF) {
					$arwrk = array();
					$arwrk[1] = $rswrk->fields('DispFld');
					$this->Esquema_Tratamiento->ViewValue .= $this->Esquema_Tratamiento->DisplayValue($arwrk);
					$rswrk->MoveNext();
					if (!$rswrk->EOF) $this->Esquema_Tratamiento->ViewValue .= ew_ViewOptionSeparator($ari); // Separate Options
					$ari++;
				}
				$rswrk->Close();
			} else {
				$this->Esquema_Tratamiento->ViewValue = $this->Esquema_Tratamiento->CurrentValue;
			}
		} else {
			$this->Esquema_Tratamiento->ViewValue = NULL;
		}
		$this->Esquema_Tratamiento->ViewCustomAttributes = "";

		// Otro
		$this->Otro->ViewValue = $this->Otro->CurrentValue;
		$this->Otro->ViewCustomAttributes = "";

		// Tipo_Tratamiento_Bebe
		if (strval($this->Tipo_Tratamiento_Bebe->CurrentValue) <> "") {
			$sFilterWrk = "`id`" . ew_SearchString("=", $this->Tipo_Tratamiento_Bebe->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `id`, `Tipo_Tratamiento_Bebe` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tipo_tratamiento_bebe`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Tipo_Tratamiento_Bebe, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->Tipo_Tratamiento_Bebe->ViewValue = $this->Tipo_Tratamiento_Bebe->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->Tipo_Tratamiento_Bebe->ViewValue = $this->Tipo_Tratamiento_Bebe->CurrentValue;
			}
		} else {
			$this->Tipo_Tratamiento_Bebe->ViewValue = NULL;
		}
		$this->Tipo_Tratamiento_Bebe->ViewCustomAttributes = "";

		// No_Primera_Carga_Viral
		if (strval($this->No_Primera_Carga_Viral->CurrentValue) <> "") {
			$sFilterWrk = "`Carga_viral`" . ew_SearchString("=", $this->No_Primera_Carga_Viral->CurrentValue, EW_DATATYPE_STRING, "");
		$sSqlWrk = "SELECT `Carga_viral`, `Carga_viral` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `carga_viral`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->No_Primera_Carga_Viral, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->No_Primera_Carga_Viral->ViewValue = $this->No_Primera_Carga_Viral->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->No_Primera_Carga_Viral->ViewValue = $this->No_Primera_Carga_Viral->CurrentValue;
			}
		} else {
			$this->No_Primera_Carga_Viral->ViewValue = NULL;
		}
		$this->No_Primera_Carga_Viral->ViewCustomAttributes = "";

		// Fecha_Primera_Cviral
		$this->Fecha_Primera_Cviral->ViewValue = $this->Fecha_Primera_Cviral->CurrentValue;
		$this->Fecha_Primera_Cviral->ViewValue = ew_FormatDateTime($this->Fecha_Primera_Cviral->ViewValue, 5);
		$this->Fecha_Primera_Cviral->ViewCustomAttributes = "";

		// Edad_Primer_Cviral_Dias
		$this->Edad_Primer_Cviral_Dias->ViewValue = $this->Edad_Primer_Cviral_Dias->CurrentValue;
		$this->Edad_Primer_Cviral_Dias->ViewCustomAttributes = "";

		// Segunda_Carga_Viral
		if (strval($this->Segunda_Carga_Viral->CurrentValue) <> "") {
			$sFilterWrk = "`Consecutivo`" . ew_SearchString("=", $this->Segunda_Carga_Viral->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `Consecutivo`, `Si_No` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `si_no`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Segunda_Carga_Viral, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->Segunda_Carga_Viral->ViewValue = $this->Segunda_Carga_Viral->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->Segunda_Carga_Viral->ViewValue = $this->Segunda_Carga_Viral->CurrentValue;
			}
		} else {
			$this->Segunda_Carga_Viral->ViewValue = NULL;
		}
		$this->Segunda_Carga_Viral->ViewCustomAttributes = "";

		// No_Segunda_Carga_Viral_Bebe
		if (strval($this->No_Segunda_Carga_Viral_Bebe->CurrentValue) <> "") {
			$sFilterWrk = "`Carga_viral`" . ew_SearchString("=", $this->No_Segunda_Carga_Viral_Bebe->CurrentValue, EW_DATATYPE_STRING, "");
		$sSqlWrk = "SELECT `Carga_viral`, `Carga_viral` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `carga_viral`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->No_Segunda_Carga_Viral_Bebe, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->No_Segunda_Carga_Viral_Bebe->ViewValue = $this->No_Segunda_Carga_Viral_Bebe->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->No_Segunda_Carga_Viral_Bebe->ViewValue = $this->No_Segunda_Carga_Viral_Bebe->CurrentValue;
			}
		} else {
			$this->No_Segunda_Carga_Viral_Bebe->ViewValue = NULL;
		}
		$this->No_Segunda_Carga_Viral_Bebe->ViewCustomAttributes = "";

		// Fecha_Segunda_Carga_Viral
		$this->Fecha_Segunda_Carga_Viral->ViewValue = $this->Fecha_Segunda_Carga_Viral->CurrentValue;
		$this->Fecha_Segunda_Carga_Viral->ViewValue = ew_FormatDateTime($this->Fecha_Segunda_Carga_Viral->ViewValue, 5);
		$this->Fecha_Segunda_Carga_Viral->ViewCustomAttributes = "";

		// Edad_Segunda_Carga_Viral_Dias
		$this->Edad_Segunda_Carga_Viral_Dias->ViewValue = $this->Edad_Segunda_Carga_Viral_Dias->CurrentValue;
		$this->Edad_Segunda_Carga_Viral_Dias->ViewCustomAttributes = "";

		// Resultado_Tamizaje_M18
		if (strval($this->Resultado_Tamizaje_M18->CurrentValue) <> "") {
			$this->Resultado_Tamizaje_M18->ViewValue = $this->Resultado_Tamizaje_M18->OptionCaption($this->Resultado_Tamizaje_M18->CurrentValue);
		} else {
			$this->Resultado_Tamizaje_M18->ViewValue = NULL;
		}
		$this->Resultado_Tamizaje_M18->ViewCustomAttributes = "";

		// Fecha_Tamizaje
		$this->Fecha_Tamizaje->ViewValue = $this->Fecha_Tamizaje->CurrentValue;
		$this->Fecha_Tamizaje->ViewValue = ew_FormatDateTime($this->Fecha_Tamizaje->ViewValue, 5);
		$this->Fecha_Tamizaje->ViewCustomAttributes = "";

		// Ultima_Cargaviral
		$this->Ultima_Cargaviral->ViewValue = $this->Ultima_Cargaviral->CurrentValue;
		if (strval($this->Ultima_Cargaviral->CurrentValue) <> "") {
			$sFilterWrk = "`Carga_viral`" . ew_SearchString("=", $this->Ultima_Cargaviral->CurrentValue, EW_DATATYPE_STRING, "");
		$sSqlWrk = "SELECT `Carga_viral`, `Carga_viral` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `carga_viral`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Ultima_Cargaviral, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->Ultima_Cargaviral->ViewValue = $this->Ultima_Cargaviral->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->Ultima_Cargaviral->ViewValue = $this->Ultima_Cargaviral->CurrentValue;
			}
		} else {
			$this->Ultima_Cargaviral->ViewValue = NULL;
		}
		$this->Ultima_Cargaviral->ViewCustomAttributes = "";

		// Fecha_Ultima_Carga_viral
		$this->Fecha_Ultima_Carga_viral->ViewValue = $this->Fecha_Ultima_Carga_viral->CurrentValue;
		$this->Fecha_Ultima_Carga_viral->ViewValue = ew_FormatDateTime($this->Fecha_Ultima_Carga_viral->ViewValue, 5);
		$this->Fecha_Ultima_Carga_viral->ViewCustomAttributes = "";

		// Formula_Lactea
		if (strval($this->Formula_Lactea->CurrentValue) <> "") {
			$sFilterWrk = "`Consecutivo`" . ew_SearchString("=", $this->Formula_Lactea->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `Consecutivo`, `Si_No` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `si_no`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Formula_Lactea, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->Formula_Lactea->ViewValue = $this->Formula_Lactea->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->Formula_Lactea->ViewValue = $this->Formula_Lactea->CurrentValue;
			}
		} else {
			$this->Formula_Lactea->ViewValue = NULL;
		}
		$this->Formula_Lactea->ViewCustomAttributes = "";

		// Edad_Dias_Bebe
		$this->Edad_Dias_Bebe->ViewValue = $this->Edad_Dias_Bebe->CurrentValue;
		$this->Edad_Dias_Bebe->ViewCustomAttributes = "";

		// Clasificacion_Final_bebe
		if (strval($this->Clasificacion_Final_bebe->CurrentValue) <> "") {
			$this->Clasificacion_Final_bebe->ViewValue = $this->Clasificacion_Final_bebe->OptionCaption($this->Clasificacion_Final_bebe->CurrentValue);
		} else {
			$this->Clasificacion_Final_bebe->ViewValue = NULL;
		}
		$this->Clasificacion_Final_bebe->ViewCustomAttributes = "";

		// Observaciones
		$this->Observaciones->ViewValue = $this->Observaciones->CurrentValue;
		$this->Observaciones->ViewCustomAttributes = "";

		// Registrado_Por
		$this->Registrado_Por->ViewValue = $this->Registrado_Por->CurrentValue;
		$this->Registrado_Por->ViewCustomAttributes = "";

			// Primer_Nombre
			$this->Primer_Nombre->LinkCustomAttributes = "";
			$this->Primer_Nombre->HrefValue = "";
			$this->Primer_Nombre->TooltipValue = "";

			// Segundo_Nombre
			$this->Segundo_Nombre->LinkCustomAttributes = "";
			$this->Segundo_Nombre->HrefValue = "";
			$this->Segundo_Nombre->TooltipValue = "";

			// Primer_Apellido
			$this->Primer_Apellido->LinkCustomAttributes = "";
			$this->Primer_Apellido->HrefValue = "";
			$this->Primer_Apellido->TooltipValue = "";

			// Segundo_Apellido
			$this->Segundo_Apellido->LinkCustomAttributes = "";
			$this->Segundo_Apellido->HrefValue = "";
			$this->Segundo_Apellido->TooltipValue = "";

			// Registro_Civil
			$this->Registro_Civil->LinkCustomAttributes = "";
			$this->Registro_Civil->HrefValue = "";
			$this->Registro_Civil->TooltipValue = "";

			// Sexo
			$this->Sexo->LinkCustomAttributes = "";
			$this->Sexo->HrefValue = "";
			$this->Sexo->TooltipValue = "";

			// Fecha_Nacimiento
			$this->Fecha_Nacimiento->LinkCustomAttributes = "";
			$this->Fecha_Nacimiento->HrefValue = "";
			$this->Fecha_Nacimiento->TooltipValue = "";

			// Peso_Gramos
			$this->Peso_Gramos->LinkCustomAttributes = "";
			$this->Peso_Gramos->HrefValue = "";
			$this->Peso_Gramos->TooltipValue = "";

			// Recibio_Tratamiento_Profilactico
			$this->Recibio_Tratamiento_Profilactico->LinkCustomAttributes = "";
			$this->Recibio_Tratamiento_Profilactico->HrefValue = "";
			$this->Recibio_Tratamiento_Profilactico->TooltipValue = "";

			// Esquema_Tratamiento
			$this->Esquema_Tratamiento->LinkCustomAttributes = "";
			$this->Esquema_Tratamiento->HrefValue = "";
			$this->Esquema_Tratamiento->TooltipValue = "";

			// Otro
			$this->Otro->LinkCustomAttributes = "";
			$this->Otro->HrefValue = "";
			$this->Otro->TooltipValue = "";

			// Tipo_Tratamiento_Bebe
			$this->Tipo_Tratamiento_Bebe->LinkCustomAttributes = "";
			$this->Tipo_Tratamiento_Bebe->HrefValue = "";
			$this->Tipo_Tratamiento_Bebe->TooltipValue = "";

			// No_Primera_Carga_Viral
			$this->No_Primera_Carga_Viral->LinkCustomAttributes = "";
			$this->No_Primera_Carga_Viral->HrefValue = "";
			$this->No_Primera_Carga_Viral->TooltipValue = "";

			// Fecha_Primera_Cviral
			$this->Fecha_Primera_Cviral->LinkCustomAttributes = "";
			$this->Fecha_Primera_Cviral->HrefValue = "";
			$this->Fecha_Primera_Cviral->TooltipValue = "";

			// Edad_Primer_Cviral_Dias
			$this->Edad_Primer_Cviral_Dias->LinkCustomAttributes = "";
			$this->Edad_Primer_Cviral_Dias->HrefValue = "";
			$this->Edad_Primer_Cviral_Dias->TooltipValue = "";

			// Segunda_Carga_Viral
			$this->Segunda_Carga_Viral->LinkCustomAttributes = "";
			$this->Segunda_Carga_Viral->HrefValue = "";
			$this->Segunda_Carga_Viral->TooltipValue = "";

			// No_Segunda_Carga_Viral_Bebe
			$this->No_Segunda_Carga_Viral_Bebe->LinkCustomAttributes = "";
			$this->No_Segunda_Carga_Viral_Bebe->HrefValue = "";
			$this->No_Segunda_Carga_Viral_Bebe->TooltipValue = "";

			// Fecha_Segunda_Carga_Viral
			$this->Fecha_Segunda_Carga_Viral->LinkCustomAttributes = "";
			$this->Fecha_Segunda_Carga_Viral->HrefValue = "";
			$this->Fecha_Segunda_Carga_Viral->TooltipValue = "";

			// Edad_Segunda_Carga_Viral_Dias
			$this->Edad_Segunda_Carga_Viral_Dias->LinkCustomAttributes = "";
			$this->Edad_Segunda_Carga_Viral_Dias->HrefValue = "";
			$this->Edad_Segunda_Carga_Viral_Dias->TooltipValue = "";

			// Resultado_Tamizaje_M18
			$this->Resultado_Tamizaje_M18->LinkCustomAttributes = "";
			$this->Resultado_Tamizaje_M18->HrefValue = "";
			$this->Resultado_Tamizaje_M18->TooltipValue = "";

			// Fecha_Tamizaje
			$this->Fecha_Tamizaje->LinkCustomAttributes = "";
			$this->Fecha_Tamizaje->HrefValue = "";
			$this->Fecha_Tamizaje->TooltipValue = "";

			// Ultima_Cargaviral
			$this->Ultima_Cargaviral->LinkCustomAttributes = "";
			$this->Ultima_Cargaviral->HrefValue = "";
			$this->Ultima_Cargaviral->TooltipValue = "";

			// Fecha_Ultima_Carga_viral
			$this->Fecha_Ultima_Carga_viral->LinkCustomAttributes = "";
			$this->Fecha_Ultima_Carga_viral->HrefValue = "";
			$this->Fecha_Ultima_Carga_viral->TooltipValue = "";

			// Formula_Lactea
			$this->Formula_Lactea->LinkCustomAttributes = "";
			$this->Formula_Lactea->HrefValue = "";
			$this->Formula_Lactea->TooltipValue = "";

			// Edad_Dias_Bebe
			$this->Edad_Dias_Bebe->LinkCustomAttributes = "";
			$this->Edad_Dias_Bebe->HrefValue = "";
			$this->Edad_Dias_Bebe->TooltipValue = "";

			// Clasificacion_Final_bebe
			$this->Clasificacion_Final_bebe->LinkCustomAttributes = "";
			$this->Clasificacion_Final_bebe->HrefValue = "";
			$this->Clasificacion_Final_bebe->TooltipValue = "";

			// Observaciones
			$this->Observaciones->LinkCustomAttributes = "";
			$this->Observaciones->HrefValue = "";
			$this->Observaciones->TooltipValue = "";

			// Registrado_Por
			$this->Registrado_Por->LinkCustomAttributes = "";
			$this->Registrado_Por->HrefValue = "";
			$this->Registrado_Por->TooltipValue = "";
		}

		// Call Row Rendered event
		if ($this->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$this->Row_Rendered();
	}

	//
	// Delete records based on current filter
	//
	function DeleteRows() {
		global $Language, $Security;
		if (!$Security->CanDelete()) {
			$this->setFailureMessage($Language->Phrase("NoDeletePermission")); // No delete permission
			return FALSE;
		}
		$DeleteRows = TRUE;
		$sSql = $this->SQL();
		$conn = &$this->Connection();
		$conn->raiseErrorFn = $GLOBALS["EW_ERROR_FN"];
		$rs = $conn->Execute($sSql);
		$conn->raiseErrorFn = '';
		if ($rs === FALSE) {
			return FALSE;
		} elseif ($rs->EOF) {
			$this->setFailureMessage($Language->Phrase("NoRecord")); // No record found
			$rs->Close();
			return FALSE;

		//} else {
		//	$this->LoadRowValues($rs); // Load row values

		}
		$rows = ($rs) ? $rs->GetRows() : array();
		$conn->BeginTrans();

		// Clone old rows
		$rsold = $rows;
		if ($rs)
			$rs->Close();

		// Call row deleting event
		if ($DeleteRows) {
			foreach ($rsold as $row) {
				$DeleteRows = $this->Row_Deleting($row);
				if (!$DeleteRows) break;
			}
		}
		if ($DeleteRows) {
			$sKey = "";
			foreach ($rsold as $row) {
				$sThisKey = "";
				if ($sThisKey <> "") $sThisKey .= $GLOBALS["EW_COMPOSITE_KEY_SEPARATOR"];
				$sThisKey .= $row['id'];
				$conn->raiseErrorFn = $GLOBALS["EW_ERROR_FN"];
				$DeleteRows = $this->Delete($row); // Delete
				$conn->raiseErrorFn = '';
				if ($DeleteRows === FALSE)
					break;
				if ($sKey <> "") $sKey .= ", ";
				$sKey .= $sThisKey;
			}
		} else {

			// Set up error message
			if ($this->getSuccessMessage() <> "" || $this->getFailureMessage() <> "") {

				// Use the message, do nothing
			} elseif ($this->CancelMessage <> "") {
				$this->setFailureMessage($this->CancelMessage);
				$this->CancelMessage = "";
			} else {
				$this->setFailureMessage($Language->Phrase("DeleteCancelled"));
			}
		}
		if ($DeleteRows) {
			$conn->CommitTrans(); // Commit the changes
		} else {
			$conn->RollbackTrans(); // Rollback changes
		}

		// Call Row Deleted event
		if ($DeleteRows) {
			foreach ($rsold as $row) {
				$this->Row_Deleted($row);
			}
		}
		return $DeleteRows;
	}

	// Set up Breadcrumb
	function SetupBreadcrumb() {
		global $Breadcrumb, $Language;
		$Breadcrumb = new cBreadcrumb();
		$url = substr(ew_CurrentUrl(), strrpos(ew_CurrentUrl(), "/")+1);
		$Breadcrumb->Add("list", $this->TableVar, $this->AddMasterUrl("seguimiento_bebelist.php"), "", $this->TableVar, TRUE);
		$PageId = "delete";
		$Breadcrumb->Add("delete", $PageId, $url);
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	// $type = ''|'success'|'failure'|'warning'
	function Message_Showing(&$msg, $type) {
		if ($type == 'success') {

			//$msg = "your success message";
		} elseif ($type == 'failure') {

			//$msg = "your failure message";
		} elseif ($type == 'warning') {

			//$msg = "your warning message";
		} else {

			//$msg = "your message";
		}
	}

	// Page Render event
	function Page_Render() {

		//echo "Page Render";
	}

	// Page Data Rendering event
	function Page_DataRendering(&$header) {

		// Example:
		//$header = "your header";

	}

	// Page Data Rendered event
	function Page_DataRendered(&$footer) {

		// Example:
		//$footer = "your footer";

	}
}
?>
<?php ew_Header(FALSE) ?>
<?php

// Create page object
if (!isset($seguimiento_bebe_delete)) $seguimiento_bebe_delete = new cseguimiento_bebe_delete();

// Page init
$seguimiento_bebe_delete->Page_Init();

// Page main
$seguimiento_bebe_delete->Page_Main();

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$seguimiento_bebe_delete->Page_Render();
?>
<?php include_once "header.php" ?>
<script type="text/javascript">

// Form object
var CurrentPageID = EW_PAGE_ID = "delete";
var CurrentForm = fseguimiento_bebedelete = new ew_Form("fseguimiento_bebedelete", "delete");

// Form_CustomValidate event
fseguimiento_bebedelete.Form_CustomValidate = 
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }

// Use JavaScript validation or not
<?php if (EW_CLIENT_VALIDATE) { ?>
fseguimiento_bebedelete.ValidateRequired = true;
<?php } else { ?>
fseguimiento_bebedelete.ValidateRequired = false; 
<?php } ?>

// Dynamic selection lists
fseguimiento_bebedelete.Lists["x_Sexo"] = {"LinkField":"x_Consecutivo","Ajax":true,"AutoFill":false,"DisplayFields":["x_Sexo","","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":""};
fseguimiento_bebedelete.Lists["x_Recibio_Tratamiento_Profilactico"] = {"LinkField":"x_Consecutivo","Ajax":true,"AutoFill":false,"DisplayFields":["x_Si_No","","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":""};
fseguimiento_bebedelete.Lists["x_Esquema_Tratamiento[]"] = {"LinkField":"x_id","Ajax":true,"AutoFill":false,"DisplayFields":["x_Esquema","","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":""};
fseguimiento_bebedelete.Lists["x_Tipo_Tratamiento_Bebe"] = {"LinkField":"x_id","Ajax":true,"AutoFill":false,"DisplayFields":["x_Tipo_Tratamiento_Bebe","","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":""};
fseguimiento_bebedelete.Lists["x_No_Primera_Carga_Viral"] = {"LinkField":"x_Carga_viral","Ajax":true,"AutoFill":false,"DisplayFields":["x_Carga_viral","","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":""};
fseguimiento_bebedelete.Lists["x_Segunda_Carga_Viral"] = {"LinkField":"x_Consecutivo","Ajax":true,"AutoFill":false,"DisplayFields":["x_Si_No","","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":""};
fseguimiento_bebedelete.Lists["x_No_Segunda_Carga_Viral_Bebe"] = {"LinkField":"x_Carga_viral","Ajax":true,"AutoFill":false,"DisplayFields":["x_Carga_viral","","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":""};
fseguimiento_bebedelete.Lists["x_Resultado_Tamizaje_M18"] = {"LinkField":"","Ajax":null,"AutoFill":false,"DisplayFields":["","","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":""};
fseguimiento_bebedelete.Lists["x_Resultado_Tamizaje_M18"].Options = <?php echo json_encode($seguimiento_bebe->Resultado_Tamizaje_M18->Options()) ?>;
fseguimiento_bebedelete.Lists["x_Ultima_Cargaviral"] = {"LinkField":"x_Carga_viral","Ajax":true,"AutoFill":false,"DisplayFields":["x_Carga_viral","","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":""};
fseguimiento_bebedelete.Lists["x_Formula_Lactea"] = {"LinkField":"x_Consecutivo","Ajax":true,"AutoFill":false,"DisplayFields":["x_Si_No","","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":""};
fseguimiento_bebedelete.Lists["x_Clasificacion_Final_bebe"] = {"LinkField":"","Ajax":null,"AutoFill":false,"DisplayFields":["","","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":""};
fseguimiento_bebedelete.Lists["x_Clasificacion_Final_bebe"].Options = <?php echo json_encode($seguimiento_bebe->Clasificacion_Final_bebe->Options()) ?>;

// Form object for search
</script>
<script type="text/javascript">

// Write your client script here, no need to add script tags.
</script>
<div class="ewToolbar">
<?php $Breadcrumb->Render(); ?>
<?php echo $Language->SelectionForm(); ?>
<div class="clearfix"></div>
</div>
<?php $seguimiento_bebe_delete->ShowPageHeader(); ?>
<?php
$seguimiento_bebe_delete->ShowMessage();
?>
<form name="fseguimiento_bebedelete" id="fseguimiento_bebedelete" class="form-inline ewForm ewDeleteForm" action="<?php echo ew_CurrentPage() ?>" method="post">
<?php if ($seguimiento_bebe_delete->CheckToken) { ?>
<input type="hidden" name="<?php echo EW_TOKEN_NAME ?>" value="<?php echo $seguimiento_bebe_delete->Token ?>">
<?php } ?>
<input type="hidden" name="t" value="seguimiento_bebe">
<input type="hidden" name="a_delete" id="a_delete" value="D">
<?php foreach ($seguimiento_bebe_delete->RecKeys as $key) { ?>
<?php $keyvalue = is_array($key) ? implode($EW_COMPOSITE_KEY_SEPARATOR, $key) : $key; ?>
<input type="hidden" name="key_m[]" value="<?php echo ew_HtmlEncode($keyvalue) ?>">
<?php } ?>
<div class="ewGrid">
<div class="<?php if (ew_IsResponsiveLayout()) { echo "table-responsive "; } ?>ewGridMiddlePanel">
<table class="table ewTable">
<?php echo $seguimiento_bebe->TableCustomInnerHtml ?>
	<thead>
	<tr class="ewTableHeader">
<?php if ($seguimiento_bebe->Primer_Nombre->Visible) { // Primer_Nombre ?>
		<th><span id="elh_seguimiento_bebe_Primer_Nombre" class="seguimiento_bebe_Primer_Nombre"><?php echo $seguimiento_bebe->Primer_Nombre->FldCaption() ?></span></th>
<?php } ?>
<?php if ($seguimiento_bebe->Segundo_Nombre->Visible) { // Segundo_Nombre ?>
		<th><span id="elh_seguimiento_bebe_Segundo_Nombre" class="seguimiento_bebe_Segundo_Nombre"><?php echo $seguimiento_bebe->Segundo_Nombre->FldCaption() ?></span></th>
<?php } ?>
<?php if ($seguimiento_bebe->Primer_Apellido->Visible) { // Primer_Apellido ?>
		<th><span id="elh_seguimiento_bebe_Primer_Apellido" class="seguimiento_bebe_Primer_Apellido"><?php echo $seguimiento_bebe->Primer_Apellido->FldCaption() ?></span></th>
<?php } ?>
<?php if ($seguimiento_bebe->Segundo_Apellido->Visible) { // Segundo_Apellido ?>
		<th><span id="elh_seguimiento_bebe_Segundo_Apellido" class="seguimiento_bebe_Segundo_Apellido"><?php echo $seguimiento_bebe->Segundo_Apellido->FldCaption() ?></span></th>
<?php } ?>
<?php if ($seguimiento_bebe->Registro_Civil->Visible) { // Registro_Civil ?>
		<th><span id="elh_seguimiento_bebe_Registro_Civil" class="seguimiento_bebe_Registro_Civil"><?php echo $seguimiento_bebe->Registro_Civil->FldCaption() ?></span></th>
<?php } ?>
<?php if ($seguimiento_bebe->Sexo->Visible) { // Sexo ?>
		<th><span id="elh_seguimiento_bebe_Sexo" class="seguimiento_bebe_Sexo"><?php echo $seguimiento_bebe->Sexo->FldCaption() ?></span></th>
<?php } ?>
<?php if ($seguimiento_bebe->Fecha_Nacimiento->Visible) { // Fecha_Nacimiento ?>
		<th><span id="elh_seguimiento_bebe_Fecha_Nacimiento" class="seguimiento_bebe_Fecha_Nacimiento"><?php echo $seguimiento_bebe->Fecha_Nacimiento->FldCaption() ?></span></th>
<?php } ?>
<?php if ($seguimiento_bebe->Peso_Gramos->Visible) { // Peso_Gramos ?>
		<th><span id="elh_seguimiento_bebe_Peso_Gramos" class="seguimiento_bebe_Peso_Gramos"><?php echo $seguimiento_bebe->Peso_Gramos->FldCaption() ?></span></th>
<?php } ?>
<?php if ($seguimiento_bebe->Recibio_Tratamiento_Profilactico->Visible) { // Recibio_Tratamiento_Profilactico ?>
		<th><span id="elh_seguimiento_bebe_Recibio_Tratamiento_Profilactico" class="seguimiento_bebe_Recibio_Tratamiento_Profilactico"><?php echo $seguimiento_bebe->Recibio_Tratamiento_Profilactico->FldCaption() ?></span></th>
<?php } ?>
<?php if ($seguimiento_bebe->Esquema_Tratamiento->Visible) { // Esquema_Tratamiento ?>
		<th><span id="elh_seguimiento_bebe_Esquema_Tratamiento" class="seguimiento_bebe_Esquema_Tratamiento"><?php echo $seguimiento_bebe->Esquema_Tratamiento->FldCaption() ?></span></th>
<?php } ?>
<?php if ($seguimiento_bebe->Otro->Visible) { // Otro ?>
		<th><span id="elh_seguimiento_bebe_Otro" class="seguimiento_bebe_Otro"><?php echo $seguimiento_bebe->Otro->FldCaption() ?></span></th>
<?php } ?>
<?php if ($seguimiento_bebe->Tipo_Tratamiento_Bebe->Visible) { // Tipo_Tratamiento_Bebe ?>
		<th><span id="elh_seguimiento_bebe_Tipo_Tratamiento_Bebe" class="seguimiento_bebe_Tipo_Tratamiento_Bebe"><?php echo $seguimiento_bebe->Tipo_Tratamiento_Bebe->FldCaption() ?></span></th>
<?php } ?>
<?php if ($seguimiento_bebe->No_Primera_Carga_Viral->Visible) { // No_Primera_Carga_Viral ?>
		<th><span id="elh_seguimiento_bebe_No_Primera_Carga_Viral" class="seguimiento_bebe_No_Primera_Carga_Viral"><?php echo $seguimiento_bebe->No_Primera_Carga_Viral->FldCaption() ?></span></th>
<?php } ?>
<?php if ($seguimiento_bebe->Fecha_Primera_Cviral->Visible) { // Fecha_Primera_Cviral ?>
		<th><span id="elh_seguimiento_bebe_Fecha_Primera_Cviral" class="seguimiento_bebe_Fecha_Primera_Cviral"><?php echo $seguimiento_bebe->Fecha_Primera_Cviral->FldCaption() ?></span></th>
<?php } ?>
<?php if ($seguimiento_bebe->Edad_Primer_Cviral_Dias->Visible) { // Edad_Primer_Cviral_Dias ?>
		<th><span id="elh_seguimiento_bebe_Edad_Primer_Cviral_Dias" class="seguimiento_bebe_Edad_Primer_Cviral_Dias"><?php echo $seguimiento_bebe->Edad_Primer_Cviral_Dias->FldCaption() ?></span></th>
<?php } ?>
<?php if ($seguimiento_bebe->Segunda_Carga_Viral->Visible) { // Segunda_Carga_Viral ?>
		<th><span id="elh_seguimiento_bebe_Segunda_Carga_Viral" class="seguimiento_bebe_Segunda_Carga_Viral"><?php echo $seguimiento_bebe->Segunda_Carga_Viral->FldCaption() ?></span></th>
<?php } ?>
<?php if ($seguimiento_bebe->No_Segunda_Carga_Viral_Bebe->Visible) { // No_Segunda_Carga_Viral_Bebe ?>
		<th><span id="elh_seguimiento_bebe_No_Segunda_Carga_Viral_Bebe" class="seguimiento_bebe_No_Segunda_Carga_Viral_Bebe"><?php echo $seguimiento_bebe->No_Segunda_Carga_Viral_Bebe->FldCaption() ?></span></th>
<?php } ?>
<?php if ($seguimiento_bebe->Fecha_Segunda_Carga_Viral->Visible) { // Fecha_Segunda_Carga_Viral ?>
		<th><span id="elh_seguimiento_bebe_Fecha_Segunda_Carga_Viral" class="seguimiento_bebe_Fecha_Segunda_Carga_Viral"><?php echo $seguimiento_bebe->Fecha_Segunda_Carga_Viral->FldCaption() ?></span></th>
<?php } ?>
<?php if ($seguimiento_bebe->Edad_Segunda_Carga_Viral_Dias->Visible) { // Edad_Segunda_Carga_Viral_Dias ?>
		<th><span id="elh_seguimiento_bebe_Edad_Segunda_Carga_Viral_Dias" class="seguimiento_bebe_Edad_Segunda_Carga_Viral_Dias"><?php echo $seguimiento_bebe->Edad_Segunda_Carga_Viral_Dias->FldCaption() ?></span></th>
<?php } ?>
<?php if ($seguimiento_bebe->Resultado_Tamizaje_M18->Visible) { // Resultado_Tamizaje_M18 ?>
		<th><span id="elh_seguimiento_bebe_Resultado_Tamizaje_M18" class="seguimiento_bebe_Resultado_Tamizaje_M18"><?php echo $seguimiento_bebe->Resultado_Tamizaje_M18->FldCaption() ?></span></th>
<?php } ?>
<?php if ($seguimiento_bebe->Fecha_Tamizaje->Visible) { // Fecha_Tamizaje ?>
		<th><span id="elh_seguimiento_bebe_Fecha_Tamizaje" class="seguimiento_bebe_Fecha_Tamizaje"><?php echo $seguimiento_bebe->Fecha_Tamizaje->FldCaption() ?></span></th>
<?php } ?>
<?php if ($seguimiento_bebe->Ultima_Cargaviral->Visible) { // Ultima_Cargaviral ?>
		<th><span id="elh_seguimiento_bebe_Ultima_Cargaviral" class="seguimiento_bebe_Ultima_Cargaviral"><?php echo $seguimiento_bebe->Ultima_Cargaviral->FldCaption() ?></span></th>
<?php } ?>
<?php if ($seguimiento_bebe->Fecha_Ultima_Carga_viral->Visible) { // Fecha_Ultima_Carga_viral ?>
		<th><span id="elh_seguimiento_bebe_Fecha_Ultima_Carga_viral" class="seguimiento_bebe_Fecha_Ultima_Carga_viral"><?php echo $seguimiento_bebe->Fecha_Ultima_Carga_viral->FldCaption() ?></span></th>
<?php } ?>
<?php if ($seguimiento_bebe->Formula_Lactea->Visible) { // Formula_Lactea ?>
		<th><span id="elh_seguimiento_bebe_Formula_Lactea" class="seguimiento_bebe_Formula_Lactea"><?php echo $seguimiento_bebe->Formula_Lactea->FldCaption() ?></span></th>
<?php } ?>
<?php if ($seguimiento_bebe->Edad_Dias_Bebe->Visible) { // Edad_Dias_Bebe ?>
		<th><span id="elh_seguimiento_bebe_Edad_Dias_Bebe" class="seguimiento_bebe_Edad_Dias_Bebe"><?php echo $seguimiento_bebe->Edad_Dias_Bebe->FldCaption() ?></span></th>
<?php } ?>
<?php if ($seguimiento_bebe->Clasificacion_Final_bebe->Visible) { // Clasificacion_Final_bebe ?>
		<th><span id="elh_seguimiento_bebe_Clasificacion_Final_bebe" class="seguimiento_bebe_Clasificacion_Final_bebe"><?php echo $seguimiento_bebe->Clasificacion_Final_bebe->FldCaption() ?></span></th>
<?php } ?>
<?php if ($seguimiento_bebe->Observaciones->Visible) { // Observaciones ?>
		<th><span id="elh_seguimiento_bebe_Observaciones" class="seguimiento_bebe_Observaciones"><?php echo $seguimiento_bebe->Observaciones->FldCaption() ?></span></th>
<?php } ?>
<?php if ($seguimiento_bebe->Registrado_Por->Visible) { // Registrado_Por ?>
		<th><span id="elh_seguimiento_bebe_Registrado_Por" class="seguimiento_bebe_Registrado_Por"><?php echo $seguimiento_bebe->Registrado_Por->FldCaption() ?></span></th>
<?php } ?>
	</tr>
	</thead>
	<tbody>
<?php
$seguimiento_bebe_delete->RecCnt = 0;
$i = 0;
while (!$seguimiento_bebe_delete->Recordset->EOF) {
	$seguimiento_bebe_delete->RecCnt++;
	$seguimiento_bebe_delete->RowCnt++;

	// Set row properties
	$seguimiento_bebe->ResetAttrs();
	$seguimiento_bebe->RowType = EW_ROWTYPE_VIEW; // View

	// Get the field contents
	$seguimiento_bebe_delete->LoadRowValues($seguimiento_bebe_delete->Recordset);

	// Render row
	$seguimiento_bebe_delete->RenderRow();
?>
	<tr<?php echo $seguimiento_bebe->RowAttributes() ?>>
<?php if ($seguimiento_bebe->Primer_Nombre->Visible) { // Primer_Nombre ?>
		<td<?php echo $seguimiento_bebe->Primer_Nombre->CellAttributes() ?>>
<span id="el<?php echo $seguimiento_bebe_delete->RowCnt ?>_seguimiento_bebe_Primer_Nombre" class="seguimiento_bebe_Primer_Nombre">
<span<?php echo $seguimiento_bebe->Primer_Nombre->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Primer_Nombre->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($seguimiento_bebe->Segundo_Nombre->Visible) { // Segundo_Nombre ?>
		<td<?php echo $seguimiento_bebe->Segundo_Nombre->CellAttributes() ?>>
<span id="el<?php echo $seguimiento_bebe_delete->RowCnt ?>_seguimiento_bebe_Segundo_Nombre" class="seguimiento_bebe_Segundo_Nombre">
<span<?php echo $seguimiento_bebe->Segundo_Nombre->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Segundo_Nombre->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($seguimiento_bebe->Primer_Apellido->Visible) { // Primer_Apellido ?>
		<td<?php echo $seguimiento_bebe->Primer_Apellido->CellAttributes() ?>>
<span id="el<?php echo $seguimiento_bebe_delete->RowCnt ?>_seguimiento_bebe_Primer_Apellido" class="seguimiento_bebe_Primer_Apellido">
<span<?php echo $seguimiento_bebe->Primer_Apellido->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Primer_Apellido->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($seguimiento_bebe->Segundo_Apellido->Visible) { // Segundo_Apellido ?>
		<td<?php echo $seguimiento_bebe->Segundo_Apellido->CellAttributes() ?>>
<span id="el<?php echo $seguimiento_bebe_delete->RowCnt ?>_seguimiento_bebe_Segundo_Apellido" class="seguimiento_bebe_Segundo_Apellido">
<span<?php echo $seguimiento_bebe->Segundo_Apellido->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Segundo_Apellido->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($seguimiento_bebe->Registro_Civil->Visible) { // Registro_Civil ?>
		<td<?php echo $seguimiento_bebe->Registro_Civil->CellAttributes() ?>>
<span id="el<?php echo $seguimiento_bebe_delete->RowCnt ?>_seguimiento_bebe_Registro_Civil" class="seguimiento_bebe_Registro_Civil">
<span<?php echo $seguimiento_bebe->Registro_Civil->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Registro_Civil->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($seguimiento_bebe->Sexo->Visible) { // Sexo ?>
		<td<?php echo $seguimiento_bebe->Sexo->CellAttributes() ?>>
<span id="el<?php echo $seguimiento_bebe_delete->RowCnt ?>_seguimiento_bebe_Sexo" class="seguimiento_bebe_Sexo">
<span<?php echo $seguimiento_bebe->Sexo->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Sexo->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($seguimiento_bebe->Fecha_Nacimiento->Visible) { // Fecha_Nacimiento ?>
		<td<?php echo $seguimiento_bebe->Fecha_Nacimiento->CellAttributes() ?>>
<span id="el<?php echo $seguimiento_bebe_delete->RowCnt ?>_seguimiento_bebe_Fecha_Nacimiento" class="seguimiento_bebe_Fecha_Nacimiento">
<span<?php echo $seguimiento_bebe->Fecha_Nacimiento->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Fecha_Nacimiento->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($seguimiento_bebe->Peso_Gramos->Visible) { // Peso_Gramos ?>
		<td<?php echo $seguimiento_bebe->Peso_Gramos->CellAttributes() ?>>
<span id="el<?php echo $seguimiento_bebe_delete->RowCnt ?>_seguimiento_bebe_Peso_Gramos" class="seguimiento_bebe_Peso_Gramos">
<span<?php echo $seguimiento_bebe->Peso_Gramos->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Peso_Gramos->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($seguimiento_bebe->Recibio_Tratamiento_Profilactico->Visible) { // Recibio_Tratamiento_Profilactico ?>
		<td<?php echo $seguimiento_bebe->Recibio_Tratamiento_Profilactico->CellAttributes() ?>>
<span id="el<?php echo $seguimiento_bebe_delete->RowCnt ?>_seguimiento_bebe_Recibio_Tratamiento_Profilactico" class="seguimiento_bebe_Recibio_Tratamiento_Profilactico">
<span<?php echo $seguimiento_bebe->Recibio_Tratamiento_Profilactico->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Recibio_Tratamiento_Profilactico->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($seguimiento_bebe->Esquema_Tratamiento->Visible) { // Esquema_Tratamiento ?>
		<td<?php echo $seguimiento_bebe->Esquema_Tratamiento->CellAttributes() ?>>
<span id="el<?php echo $seguimiento_bebe_delete->RowCnt ?>_seguimiento_bebe_Esquema_Tratamiento" class="seguimiento_bebe_Esquema_Tratamiento">
<span<?php echo $seguimiento_bebe->Esquema_Tratamiento->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Esquema_Tratamiento->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($seguimiento_bebe->Otro->Visible) { // Otro ?>
		<td<?php echo $seguimiento_bebe->Otro->CellAttributes() ?>>
<span id="el<?php echo $seguimiento_bebe_delete->RowCnt ?>_seguimiento_bebe_Otro" class="seguimiento_bebe_Otro">
<span<?php echo $seguimiento_bebe->Otro->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Otro->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($seguimiento_bebe->Tipo_Tratamiento_Bebe->Visible) { // Tipo_Tratamiento_Bebe ?>
		<td<?php echo $seguimiento_bebe->Tipo_Tratamiento_Bebe->CellAttributes() ?>>
<span id="el<?php echo $seguimiento_bebe_delete->RowCnt ?>_seguimiento_bebe_Tipo_Tratamiento_Bebe" class="seguimiento_bebe_Tipo_Tratamiento_Bebe">
<span<?php echo $seguimiento_bebe->Tipo_Tratamiento_Bebe->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Tipo_Tratamiento_Bebe->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($seguimiento_bebe->No_Primera_Carga_Viral->Visible) { // No_Primera_Carga_Viral ?>
		<td<?php echo $seguimiento_bebe->No_Primera_Carga_Viral->CellAttributes() ?>>
<span id="el<?php echo $seguimiento_bebe_delete->RowCnt ?>_seguimiento_bebe_No_Primera_Carga_Viral" class="seguimiento_bebe_No_Primera_Carga_Viral">
<span<?php echo $seguimiento_bebe->No_Primera_Carga_Viral->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->No_Primera_Carga_Viral->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($seguimiento_bebe->Fecha_Primera_Cviral->Visible) { // Fecha_Primera_Cviral ?>
		<td<?php echo $seguimiento_bebe->Fecha_Primera_Cviral->CellAttributes() ?>>
<span id="el<?php echo $seguimiento_bebe_delete->RowCnt ?>_seguimiento_bebe_Fecha_Primera_Cviral" class="seguimiento_bebe_Fecha_Primera_Cviral">
<span<?php echo $seguimiento_bebe->Fecha_Primera_Cviral->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Fecha_Primera_Cviral->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($seguimiento_bebe->Edad_Primer_Cviral_Dias->Visible) { // Edad_Primer_Cviral_Dias ?>
		<td<?php echo $seguimiento_bebe->Edad_Primer_Cviral_Dias->CellAttributes() ?>>
<span id="el<?php echo $seguimiento_bebe_delete->RowCnt ?>_seguimiento_bebe_Edad_Primer_Cviral_Dias" class="seguimiento_bebe_Edad_Primer_Cviral_Dias">
<span<?php echo $seguimiento_bebe->Edad_Primer_Cviral_Dias->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Edad_Primer_Cviral_Dias->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($seguimiento_bebe->Segunda_Carga_Viral->Visible) { // Segunda_Carga_Viral ?>
		<td<?php echo $seguimiento_bebe->Segunda_Carga_Viral->CellAttributes() ?>>
<span id="el<?php echo $seguimiento_bebe_delete->RowCnt ?>_seguimiento_bebe_Segunda_Carga_Viral" class="seguimiento_bebe_Segunda_Carga_Viral">
<span<?php echo $seguimiento_bebe->Segunda_Carga_Viral->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Segunda_Carga_Viral->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($seguimiento_bebe->No_Segunda_Carga_Viral_Bebe->Visible) { // No_Segunda_Carga_Viral_Bebe ?>
		<td<?php echo $seguimiento_bebe->No_Segunda_Carga_Viral_Bebe->CellAttributes() ?>>
<span id="el<?php echo $seguimiento_bebe_delete->RowCnt ?>_seguimiento_bebe_No_Segunda_Carga_Viral_Bebe" class="seguimiento_bebe_No_Segunda_Carga_Viral_Bebe">
<span<?php echo $seguimiento_bebe->No_Segunda_Carga_Viral_Bebe->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->No_Segunda_Carga_Viral_Bebe->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($seguimiento_bebe->Fecha_Segunda_Carga_Viral->Visible) { // Fecha_Segunda_Carga_Viral ?>
		<td<?php echo $seguimiento_bebe->Fecha_Segunda_Carga_Viral->CellAttributes() ?>>
<span id="el<?php echo $seguimiento_bebe_delete->RowCnt ?>_seguimiento_bebe_Fecha_Segunda_Carga_Viral" class="seguimiento_bebe_Fecha_Segunda_Carga_Viral">
<span<?php echo $seguimiento_bebe->Fecha_Segunda_Carga_Viral->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Fecha_Segunda_Carga_Viral->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($seguimiento_bebe->Edad_Segunda_Carga_Viral_Dias->Visible) { // Edad_Segunda_Carga_Viral_Dias ?>
		<td<?php echo $seguimiento_bebe->Edad_Segunda_Carga_Viral_Dias->CellAttributes() ?>>
<span id="el<?php echo $seguimiento_bebe_delete->RowCnt ?>_seguimiento_bebe_Edad_Segunda_Carga_Viral_Dias" class="seguimiento_bebe_Edad_Segunda_Carga_Viral_Dias">
<span<?php echo $seguimiento_bebe->Edad_Segunda_Carga_Viral_Dias->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Edad_Segunda_Carga_Viral_Dias->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($seguimiento_bebe->Resultado_Tamizaje_M18->Visible) { // Resultado_Tamizaje_M18 ?>
		<td<?php echo $seguimiento_bebe->Resultado_Tamizaje_M18->CellAttributes() ?>>
<span id="el<?php echo $seguimiento_bebe_delete->RowCnt ?>_seguimiento_bebe_Resultado_Tamizaje_M18" class="seguimiento_bebe_Resultado_Tamizaje_M18">
<span<?php echo $seguimiento_bebe->Resultado_Tamizaje_M18->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Resultado_Tamizaje_M18->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($seguimiento_bebe->Fecha_Tamizaje->Visible) { // Fecha_Tamizaje ?>
		<td<?php echo $seguimiento_bebe->Fecha_Tamizaje->CellAttributes() ?>>
<span id="el<?php echo $seguimiento_bebe_delete->RowCnt ?>_seguimiento_bebe_Fecha_Tamizaje" class="seguimiento_bebe_Fecha_Tamizaje">
<span<?php echo $seguimiento_bebe->Fecha_Tamizaje->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Fecha_Tamizaje->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($seguimiento_bebe->Ultima_Cargaviral->Visible) { // Ultima_Cargaviral ?>
		<td<?php echo $seguimiento_bebe->Ultima_Cargaviral->CellAttributes() ?>>
<span id="el<?php echo $seguimiento_bebe_delete->RowCnt ?>_seguimiento_bebe_Ultima_Cargaviral" class="seguimiento_bebe_Ultima_Cargaviral">
<span<?php echo $seguimiento_bebe->Ultima_Cargaviral->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Ultima_Cargaviral->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($seguimiento_bebe->Fecha_Ultima_Carga_viral->Visible) { // Fecha_Ultima_Carga_viral ?>
		<td<?php echo $seguimiento_bebe->Fecha_Ultima_Carga_viral->CellAttributes() ?>>
<span id="el<?php echo $seguimiento_bebe_delete->RowCnt ?>_seguimiento_bebe_Fecha_Ultima_Carga_viral" class="seguimiento_bebe_Fecha_Ultima_Carga_viral">
<span<?php echo $seguimiento_bebe->Fecha_Ultima_Carga_viral->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Fecha_Ultima_Carga_viral->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($seguimiento_bebe->Formula_Lactea->Visible) { // Formula_Lactea ?>
		<td<?php echo $seguimiento_bebe->Formula_Lactea->CellAttributes() ?>>
<span id="el<?php echo $seguimiento_bebe_delete->RowCnt ?>_seguimiento_bebe_Formula_Lactea" class="seguimiento_bebe_Formula_Lactea">
<span<?php echo $seguimiento_bebe->Formula_Lactea->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Formula_Lactea->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($seguimiento_bebe->Edad_Dias_Bebe->Visible) { // Edad_Dias_Bebe ?>
		<td<?php echo $seguimiento_bebe->Edad_Dias_Bebe->CellAttributes() ?>>
<span id="el<?php echo $seguimiento_bebe_delete->RowCnt ?>_seguimiento_bebe_Edad_Dias_Bebe" class="seguimiento_bebe_Edad_Dias_Bebe">
<span<?php echo $seguimiento_bebe->Edad_Dias_Bebe->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Edad_Dias_Bebe->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($seguimiento_bebe->Clasificacion_Final_bebe->Visible) { // Clasificacion_Final_bebe ?>
		<td<?php echo $seguimiento_bebe->Clasificacion_Final_bebe->CellAttributes() ?>>
<span id="el<?php echo $seguimiento_bebe_delete->RowCnt ?>_seguimiento_bebe_Clasificacion_Final_bebe" class="seguimiento_bebe_Clasificacion_Final_bebe">
<span<?php echo $seguimiento_bebe->Clasificacion_Final_bebe->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Clasificacion_Final_bebe->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($seguimiento_bebe->Observaciones->Visible) { // Observaciones ?>
		<td<?php echo $seguimiento_bebe->Observaciones->CellAttributes() ?>>
<span id="el<?php echo $seguimiento_bebe_delete->RowCnt ?>_seguimiento_bebe_Observaciones" class="seguimiento_bebe_Observaciones">
<span<?php echo $seguimiento_bebe->Observaciones->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Observaciones->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($seguimiento_bebe->Registrado_Por->Visible) { // Registrado_Por ?>
		<td<?php echo $seguimiento_bebe->Registrado_Por->CellAttributes() ?>>
<span id="el<?php echo $seguimiento_bebe_delete->RowCnt ?>_seguimiento_bebe_Registrado_Por" class="seguimiento_bebe_Registrado_Por">
<span<?php echo $seguimiento_bebe->Registrado_Por->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Registrado_Por->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
	</tr>
<?php
	$seguimiento_bebe_delete->Recordset->MoveNext();
}
$seguimiento_bebe_delete->Recordset->Close();
?>
</tbody>
</table>
</div>
</div>
<div>
<button class="btn btn-primary ewButton" name="btnAction" id="btnAction" type="submit"><?php echo $Language->Phrase("DeleteBtn") ?></button>
<button class="btn btn-default ewButton" name="btnCancel" id="btnCancel" type="button" data-href="<?php echo $seguimiento_bebe_delete->getReturnUrl() ?>"><?php echo $Language->Phrase("CancelBtn") ?></button>
</div>
</form>
<script type="text/javascript">
fseguimiento_bebedelete.Init();
</script>
<?php
$seguimiento_bebe_delete->ShowPageFooter();
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
?>
<script type="text/javascript">

// Write your table-specific startup script here
// document.write("page loaded");

</script>
<?php include_once "footer.php" ?>
<?php
$seguimiento_bebe_delete->Page_Terminate();
?>
